
Selene - Tareas #199

Enlarge COUSUA to 45 characters

07/13/2018 09:05 AM - Jesús Freire

Status: Cerrada Start date: 08/02/2018

Priority: Normal Due date: 08/05/2018

Assignee: Jesús Freire % Done: 100%

Category:  Estimated time: 4:00 hours

Target version:  Spent time: 4:00 hours

Puntos de historia: 4   

Description

Take a list of COUSUA from ATCL table:

SELECT * FROM ATCL WHERE CODATR IN ('COUSUA', 'CODAUT', 'AUULMO')

Prepare SQL script to alter column cousua of the tables extracted from the list of ATCL

select concat('ALTER TABLE ', vaclob, ' ALTER COLUMN ', codatr, ' TYPE VARCHAR(45);') as sql from 

atcl where codatr in ('COUSUA', 'CODAUT', 'AUULMO') and coinob in (select coinob from objm where t

iobme='CD' and coobme='OBJM') and subcla='CD' order by vaclob;

update atcl set longitud=45.00 where codatr in ('COUSUA', 'CODAUT', 'AUULMO') and coinob in (selec

t coinob from objm where tiobme='CD' and coobme='OBJM') order by vaclob;

select concat('UPDATE ', vaclob, ' SET ', codatr, ' =''jfreire'' WHERE ', codatr, ' = ''FMJ000'';'

) as sql from atcl where codatr in ('COUSUA', 'CODAUT', 'AUULMO') and coinob in (select coinob fro

m objm where tiobme='CD' and coobme='OBJM') and subcla='CD' order by vaclob;

List of users:

jfreire FMJ000

maria HPM000

antoniofreire FMA000

Subtasks:

Tareas # 215: Prepare LSUsuario to validate length user code Cerrada

Tareas # 216: Allow lower case for field cousua into JSP Cerrada

History

#1 - 07/30/2018 06:54 AM - Jesús Freire

- Description updated

- Status changed from Nueva to En curso

#2 - 07/30/2018 09:12 AM - Jesús Freire

- Description updated

#3 - 08/01/2018 09:48 AM - Jesús Freire

- Status changed from En curso to Nueva

- Assignee deleted (Jesús Freire)

Estado del EPP auto actualizado a Nueva porque todas las tareas estaban en estado Nueva

#4 - 08/01/2018 08:01 PM - Jesús Freire

- Status changed from Nueva to En curso

- Assignee set to Jesús Freire

Estado del EPP auto actualizado a En curso porque al menos una tarea no estaba en estado Nueva
#5 - 08/02/2018 09:20 AM - Jesús Freire

- Status changed from En curso to Nueva

- Assignee deleted (Jesús Freire)

Estado del EPP auto actualizado a Nueva porque todas las tareas estaban en estado Nueva

#6 - 08/02/2018 09:21 AM - Jesús Freire

- Status changed from Nueva to En curso

- Assignee set to Jesús Freire

Estado del EPP auto actualizado a En curso porque al menos una tarea no estaba en estado Nueva

#7 - 09/18/2018 07:56 PM - Jesús Freire

- Status changed from En curso to Cerrada

Estado del EPP auto actualizado a Cerrada porque todas las tareas estaban cerradas

Powered by TCPDF (www.tcpdf.org)

05/14/2025 2/2

http://www.tcpdf.org

